      subroutine uinitg(progname)
      implicit NONE
c
c  initialize TRGRAF & UREAD
c
      character*(*), intent(in) :: progname  ! name of program...
c
c  local:
c
      logical :: elvis_flag
c
c-------------------------------
c
      call uinita(0)
      call initvis(progname,elvis_flag)
c
      return
      end

      
